## com.sun.j3d.utils.behaviors.picking
Class PickTranslateBehavior

    java.lang.Object
      javax.media.j3d.SceneGraphObject
          javax.media.j3d.Node
              javax.media.j3d.Leaf
                  javax.media.j3d.Behavior
                      com.sun.j3d.utils.behaviors.picking.PickMouseBehavior
                          com.sun.j3d.utils.behaviors.picking.PickTranslateBehavior

All Implemented Interfaces:
  MouseBehaviorCallback

Deprecated. As of Java 3D version 1.2, replaced by `com.sun.j3d.utils.picking.behaviors.PickTranslateBehavior`

    public class PickTranslateBehavior

extends PickMouseBehavior
implements MouseBehaviorCallback

See Also:
  `PickTranslateBehavior`

Field Summary

Fields inherited from class com.sun.j3d.utils.behaviors.picking.PickMouseBehavior
`buttonPress, conditions, currGrp, debug, mevent, pickScene, wakeupCondition`

Fields inherited from class javax.media.j3d.Node
`ALLOW_AUTO_COMPUTE_BOUNDS_READ, ALLOW_AUTO_COMPUTE_BOUNDS_WRITE, ALLOW_BOUNDS_READ, ALLOW_BOUNDS_WRITE, ALLOW_COLLIDABLE_READ, ALLOW_COLLIDABLE_WRITE, ALLOW_LOCAL_TO_VWORLD_READ, ALLOW_LOCALE_READ, ALLOW_PARENT_READ, ALLOW_PICKABLE_READ, ALLOW_PICKABLE_WRITE, ENABLE_COLLISION_REPORTING, ENABLE_PICK_REPORTING`

Fields inherited from interface com.sun.j3d.utils.behaviors.mouse.MouseBehaviorCallback
`ROTATE, TRANSLATE, ZOOM`

Constructor Summary
`PickTranslateBehavior(BranchGroup root, Canvas3D canvas, Bounds bounds)` Deprecated. Creates a pick/translate behavior that waits for user mouse events for the scene graph.
`PickTranslateBehavior(BranchGroup root, Canvas3D canvas, Bounds bounds, int pickMode)` Deprecated. Creates a pick/translate behavior that waits for user mouse events for the scene graph.

Method Summary
`int` `getPickMode()` Deprecated. Return the pickMode component of this PickTranslaeBehavior.
`void` `setPickMode(int pickMode)` Deprecated. Sets the pickMode component of this PickTranslateBehavior to the value of the passed pickMode.
`void` `setupCallback(PickingCallback callback)` Deprecated. Register the class @param callback to be called each time the picked object moves
`void` `transformChanged(int type, Transform3D transform)` Deprecated. Callback method from MouseTranslate This is used when the Picking callback is enabled
`void` `updateScene(int xpos, int ypos)` Deprecated. Update the scene to manipulate any nodes.

Methods inherited from class com.sun.j3d.utils.behaviors.picking.PickMouseBehavior
`initialize, processStimulus`

Methods inherited from class javax.media.j3d.Behavior
`getEnable, getNumSchedulingIntervals, getSchedulingBoundingLeaf, getSchedulingBounds, getSchedulingInterval, getView, getWakeupCondition, postId, setEnable, setSchedulingBoundingLeaf, setSchedulingBounds, setSchedulingInterval, updateNodeReferences, wakeupOn`

Methods inherited from class javax.media.j3d.Node
`cloneNode, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, cloneTree, duplicateNode, getBounds, getBoundsAutoCompute, getCollidable, getLocale, getLocalToVworld, getLocalToVworld, getParent, getPickable, setBounds, setBoundsAutoCompute, setCollidable, setPickable`

Methods inherited from class javax.media.j3d.SceneGraphObject
`clearCapability, clearCapabilityIsFrequent, duplicateSceneGraphObject, getCapability, getCapabilityIsFrequent, getName, getUserData, isCompiled, isLive, setCapability, setCapabilityIsFrequent, setName, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PickTranslateBehavior

    public PickTranslateBehavior(BranchGroup root,
                                 Canvas3D canvas,
                                 Bounds bounds)

  Deprecated.
  Creates a pick/translate behavior that waits for user mouse events for the scene graph. This method has its pickMode set to BOUNDS picking.

  Parameters:
    `root` - Root of your scene graph.
    `canvas` - Java 3D drawing canvas.
    `bounds` - Bounds of your scene.

### PickTranslateBehavior

    public PickTranslateBehavior(BranchGroup root,
                                 Canvas3D canvas,
                                 Bounds bounds,
                                 int pickMode)

  Deprecated.
  Creates a pick/translate behavior that waits for user mouse events for the scene graph.

  Parameters:
    `root` - Root of your scene graph.
    `canvas` - Java 3D drawing canvas.
    `bounds` - Bounds of your scene.
    `pickMode` - specifys PickObject.USE_BOUNDS or PickObject.USE_GEOMETRY. Note: If pickMode is set to PickObject.USE_GEOMETRY, all geometry object in the scene graph that allows pickable must have its ALLOW_INTERSECT bit set.

Method Detail

### setPickMode

    public void setPickMode(int pickMode)

  Deprecated.
  Sets the pickMode component of this PickTranslateBehavior to the value of the passed pickMode.

  Parameters:
    `pickMode` - the pickMode to be copied.

### getPickMode

    public int getPickMode()

  Deprecated.
  Return the pickMode component of this PickTranslaeBehavior.

### updateScene

    public void updateScene(int xpos,
                            int ypos)

  Deprecated.
  Update the scene to manipulate any nodes. This is not meant to be called by users. Behavior automatically calls this. You can call this only if you know what you are doing.

  Specified by:
    `updateScene` in class `PickMouseBehavior`
  Parameters:
    `xpos` - Current mouse X pos.
    `ypos` - Current mouse Y pos.

### transformChanged

    public void transformChanged(int type,
                                 Transform3D transform)

  Deprecated.
  Callback method from MouseTranslate This is used when the Picking callback is enabled

  Specified by:
    `transformChanged` in interface `MouseBehaviorCallback`
  Parameters:
    `type` - will be one of ROTATE, TRANSLATE or ZOOM

### setupCallback

    public void setupCallback(PickingCallback callback)

  Deprecated.
  Register the class @param callback to be called each time the picked object moves

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.